<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/InventoryNew/Inherited/AttachmentCategoriesSlotsContainer.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d9a/_attachment_categories_slots_container_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AttachmentCategoriesSlotsContainer.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d9a/_attachment_categories_slots_container_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/db4/class_attachment_categories_slots_container.html">AttachmentCategoriesSlotsContainer</a>: <a class="code hl_class" href="../../d4/d8f/class_container.html">Container</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">    3</a></span>    ref <a class="code hl_class" href="../../df/d49/class_slots_container.html">SlotsContainer</a> <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a9ccf8475eca9404cba16e607db5c25b9">    5</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a9ccf8475eca9404cba16e607db5c25b9">AttachmentCategoriesSlotsContainer</a>( <a class="code hl_class" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> parent, <span class="keywordtype">int</span> index )</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../df/d49/class_slots_container.html">SlotsContainer</a>(<span class="keyword">this</span>, null);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        m_Body.Insert( <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a> );</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.GetMainWidget().SetUserID( index );</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> k = 0; k &lt; <a class="code hl_variable" href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c.html#a2125e1d81755555832a3216e873431e0">ITEMS_IN_ROW</a>; k++ )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            <span class="comment">//WidgetEventHandler.GetInstance().RegisterOnDropReceived( m_ItemsCont.GetSlotIcon( k ).GetMainWidget(),  m_Parent, &quot;OnDropReceivedFromHeader&quot; );</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            <span class="comment">//WidgetEventHandler.GetInstance().RegisterOnDropReceived(  m_ItemsCont.GetSlotIcon( k ).GetPanelWidget(),  m_Parent, &quot;OnDropReceivedFromHeader&quot; );</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>                  </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#a3d40052ebed8531440eebf32a4209bff">RegisterOnDraggingOver</a>( <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ).GetMainWidget(),  <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, <span class="stringliteral">&quot;DraggingOverHeader&quot;</span> );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#a3d40052ebed8531440eebf32a4209bff">RegisterOnDraggingOver</a>( <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ).<a class="code hl_function" href="../../d3/dae/class_slots_icon.html#a1df109aa2615682ad84c362ec2711836">GetPanelWidget</a>(),  <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, <span class="stringliteral">&quot;DraggingOverHeader&quot;</span> );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ae31e7dd812ec1c98d059dd529d042e3d">RegisterOnMouseButtonDown</a>( <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ).GetMainWidget(),  <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, <span class="stringliteral">&quot;MouseClick&quot;</span> );</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ae31e7dd812ec1c98d059dd529d042e3d">RegisterOnMouseButtonDown</a>( <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ).<a class="code hl_function" href="../../d3/dae/class_slots_icon.html#a1df109aa2615682ad84c362ec2711836">GetPanelWidget</a>(),  <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>, <span class="stringliteral">&quot;MouseClick&quot;</span> );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ada5cbc7221a5b5e5c5e0a6f02d6232ef">RegisterOnMouseEnter</a>( <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ).GetMainWidget(), <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ), <span class="stringliteral">&quot;MouseEnterGhostSlot&quot;</span> );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <a class="code hl_class" href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a>.<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">GetInstance</a>().<a class="code hl_function" href="../../d1/d46/class_widget_event_handler.html#a3709dfa6d47f34e92efcc8057f50e1b3">RegisterOnMouseLeave</a>( <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ).GetMainWidget(), <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ), <span class="stringliteral">&quot;MouseLeaveGhostSlot&quot;</span> );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ).GetMainWidget().SetUserID( k );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">GetSlotIcon</a>( k ).<a class="code hl_function" href="../../d3/dae/class_slots_icon.html#a1df109aa2615682ad84c362ec2711836">GetPanelWidget</a>().SetUserID( k );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a5cb3c178e4dfc61dae60614aa349c5a6">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a5cb3c178e4dfc61dae60614aa349c5a6">IsDisplayable</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; m_Body.Count(); i++)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_class" href="../../d5/d08/class_layout_holder.html">LayoutHolder</a> c = m_Body[i];</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <span class="keywordflow">if</span>( c &amp;&amp; c.IsDisplayable())</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>  </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a80327b05117e130b1e7df3ad5d0ae98e">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a80327b05117e130b1e7df3ad5d0ae98e">SetLayoutName</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        m_LayoutName = <a class="code hl_class" href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a>.<a class="code hl_variable" href="../../db/d26/class_widget_layout_name.html#af2c945eebda1050b002aadc90acddc5e">Container</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>  </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a06bfdb066b40ae18ad2a57272ef4af52">   46</a></span>    <a class="code hl_class" href="../../df/d49/class_slots_container.html">SlotsContainer</a> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a06bfdb066b40ae18ad2a57272ef4af52">GetSlotsContainer</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a5d57d297e0b799a3b8e679cdd7127f7c">   51</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a5d57d297e0b799a3b8e679cdd7127f7c">GetFocusedItem</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a282b8154c39b6ebae2f028537c6a9c7e">GetFocusedSlotsIcon</a>().<a class="code hl_function" href="../../d3/dae/class_slots_icon.html#a1ed2cfb63319418ca735922e91cba4a9">GetRender</a>().<a class="code hl_function" href="../../d4/d58/class_item_preview_widget.html#aa00147972c006df13af3293a25c91471">GetItem</a>();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a156b3845ee433890219f7c1815d6aec0">   56</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a156b3845ee433890219f7c1815d6aec0">GetParentID</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.GetMainWidget().GetUserID();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a0dfdd32fb52e329675c734ae76b7eb09">   61</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a0dfdd32fb52e329675c734ae76b7eb09">GetFocusedID</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a282b8154c39b6ebae2f028537c6a9c7e">GetFocusedSlotsIcon</a>().GetMainWidget().GetUserID();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#ae8d2df36368fe206e79f8bf1ed9eba09">   66</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#ae8d2df36368fe206e79f8bf1ed9eba09">ExpandCollapseContainer</a>( <span class="keywordtype">bool</span> expand )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a282b8154c39b6ebae2f028537c6a9c7e">GetFocusedSlotsIcon</a>().<a class="code hl_function" href="../../d3/dae/class_slots_icon.html#ab56a4d93bdd6dce9e99c7eaf5559b4e1">GetRadialIcon</a>().Show( expand );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_variable" href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">m_ItemsCont</a>.<a class="code hl_function" href="../../df/d49/class_slots_container.html#a282b8154c39b6ebae2f028537c6a9c7e">GetFocusedSlotsIcon</a>().<a class="code hl_function" href="../../d3/dae/class_slots_icon.html#a2a46336b2466cd335a9dcd091f3ed8b6">GetRadialIconClosed</a>().Show( !expand );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#ade7cb701b07b4ec2ce6cc5417a6283da">   72</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#ade7cb701b07b4ec2ce6cc5417a6283da">SelectItem</a>()</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a6ab515e74ee85fe7e47f67ceb64c7d38">   77</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a6ab515e74ee85fe7e47f67ceb64c7d38">Select</a>()</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a799bf926f209fc3cfebee292d400b844">   82</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a799bf926f209fc3cfebee292d400b844">Combine</a>()</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#aea6daae047dece2264744136010b2a8d">   87</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#aea6daae047dece2264744136010b2a8d">TransferItemToVicinity</a>()</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a329c13fb4d7a2ed5de7aa5b623f03264">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a329c13fb4d7a2ed5de7aa5b623f03264">TransferItem</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a6f31e6ea3f882700581ba08a3909736c">   97</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a6f31e6ea3f882700581ba08a3909736c">SplitItem</a>()</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a5e57a79f7c26171ec59ca5123339c366">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a5e57a79f7c26171ec59ca5123339c366">EquipItem</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a15700d34e7fe4579160c3060c05e6014">  107</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a15700d34e7fe4579160c3060c05e6014">CanEquip</a>()</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#af402862d236bb269b905432b38add2b7">  112</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#af402862d236bb269b905432b38add2b7">CanCombine</a>()</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a5ea2533f3a8b2870597aac28403df37d">  117</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a5ea2533f3a8b2870597aac28403df37d">CanCombineAmmo</a>()</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#ac2095a8bbefa2115611fac4db37e4b40">  122</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#ac2095a8bbefa2115611fac4db37e4b40">IsEmpty</a>()</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    </div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#aa0cf4a5ec43b54931c3f709088a2e646">  127</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#aa0cf4a5ec43b54931c3f709088a2e646">IsItemActive</a>()</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    {</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a6e5268ad9fec884fbb4f0cca05371bfa">  132</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a6e5268ad9fec884fbb4f0cca05371bfa">IsItemWithQuantityActive</a>()</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#a9501506c460f6e4aef0adb952b2dd6af">  137</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#a9501506c460f6e4aef0adb952b2dd6af">GetAttachmentCategory</a>( <span class="keywordtype">string</span> config_path_attachment_categories, <span class="keywordtype">int</span> i )</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordtype">string</span> attachment_category;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a03909ec186a2f1d7c5c649a80f4819b6">ConfigGetChildName</a>(config_path_attachment_categories, i, attachment_category);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">return</span> attachment_category;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../de/db4/class_attachment_categories_slots_container.html#ab5bbbebe21d8d347309792a766c669c3">  144</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../de/db4/class_attachment_categories_slots_container.html#ab5bbbebe21d8d347309792a766c669c3">GetIconName</a>( <span class="keywordtype">string</span> config_path_attachment_categories, <span class="keywordtype">string</span> attachment_category )</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordtype">string</span> icon_path = config_path_attachment_categories+ <span class="stringliteral">&quot; &quot;</span> + attachment_category + <span class="stringliteral">&quot; icon&quot;</span>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordtype">string</span> icon_name;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a87b6e86f92ca647026095bb221c98650">ConfigGetText</a>(icon_path, icon_name);</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordflow">return</span> icon_name;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    }</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    <span class="comment">/*override void Refresh()</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="comment">    {</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="comment">        super.Refresh();</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="comment">        Print(&quot;DbgTest | Refresh&quot;);</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span><span class="comment">        </span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="comment">        CollapsibleContainer cont = CollapsibleContainer.Cast(m_Parent);</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span><span class="comment">        if (cont)</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span><span class="comment">        {</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span><span class="comment">            bool b1 = m_ItemsCont.VerifySlotsIconVisibility();</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span><span class="comment">            Print(&quot;DbgTest | Refresh | b1: &quot; + b1);</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span><span class="comment">            cont.SetCollapsibleHeaderArrowState(!b1);</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span><span class="comment">        }</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>}</div>
<div class="ttc" id="a5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_html_a2125e1d81755555832a3216e873431e0"><div class="ttname"><a href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c.html#a2125e1d81755555832a3216e873431e0">ITEMS_IN_ROW</a></div><div class="ttdeci">const int ITEMS_IN_ROW</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dab/5___mission_2_g_u_i_2_inventory_new_2_attachments_8c_source.html#l00001">Attachments.c:1</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_a751d7c19a8c7fd3347343bf0af17bd53"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a></div><div class="ttdeci">protected Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00092">SizeToChild.c:92</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html">AttachmentCategoriesSlotsContainer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00001">AttachmentCategoriesSlotsContainer.c:2</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a06bfdb066b40ae18ad2a57272ef4af52"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a06bfdb066b40ae18ad2a57272ef4af52">AttachmentCategoriesSlotsContainer::GetSlotsContainer</a></div><div class="ttdeci">SlotsContainer GetSlotsContainer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00046">AttachmentCategoriesSlotsContainer.c:46</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a0dfdd32fb52e329675c734ae76b7eb09"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a0dfdd32fb52e329675c734ae76b7eb09">AttachmentCategoriesSlotsContainer::GetFocusedID</a></div><div class="ttdeci">int GetFocusedID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00061">AttachmentCategoriesSlotsContainer.c:61</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a156b3845ee433890219f7c1815d6aec0"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a156b3845ee433890219f7c1815d6aec0">AttachmentCategoriesSlotsContainer::GetParentID</a></div><div class="ttdeci">int GetParentID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00056">AttachmentCategoriesSlotsContainer.c:56</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a15700d34e7fe4579160c3060c05e6014"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a15700d34e7fe4579160c3060c05e6014">AttachmentCategoriesSlotsContainer::CanEquip</a></div><div class="ttdeci">override bool CanEquip()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00107">AttachmentCategoriesSlotsContainer.c:107</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a329c13fb4d7a2ed5de7aa5b623f03264"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a329c13fb4d7a2ed5de7aa5b623f03264">AttachmentCategoriesSlotsContainer::TransferItem</a></div><div class="ttdeci">override bool TransferItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00092">AttachmentCategoriesSlotsContainer.c:92</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a5cb3c178e4dfc61dae60614aa349c5a6"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a5cb3c178e4dfc61dae60614aa349c5a6">AttachmentCategoriesSlotsContainer::IsDisplayable</a></div><div class="ttdeci">override bool IsDisplayable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00030">AttachmentCategoriesSlotsContainer.c:30</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a5d57d297e0b799a3b8e679cdd7127f7c"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a5d57d297e0b799a3b8e679cdd7127f7c">AttachmentCategoriesSlotsContainer::GetFocusedItem</a></div><div class="ttdeci">override EntityAI GetFocusedItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00051">AttachmentCategoriesSlotsContainer.c:51</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a5e57a79f7c26171ec59ca5123339c366"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a5e57a79f7c26171ec59ca5123339c366">AttachmentCategoriesSlotsContainer::EquipItem</a></div><div class="ttdeci">override bool EquipItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00102">AttachmentCategoriesSlotsContainer.c:102</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a5ea2533f3a8b2870597aac28403df37d"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a5ea2533f3a8b2870597aac28403df37d">AttachmentCategoriesSlotsContainer::CanCombineAmmo</a></div><div class="ttdeci">override bool CanCombineAmmo()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00117">AttachmentCategoriesSlotsContainer.c:117</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a6ab515e74ee85fe7e47f67ceb64c7d38"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a6ab515e74ee85fe7e47f67ceb64c7d38">AttachmentCategoriesSlotsContainer::Select</a></div><div class="ttdeci">override bool Select()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00077">AttachmentCategoriesSlotsContainer.c:77</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a6e5268ad9fec884fbb4f0cca05371bfa"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a6e5268ad9fec884fbb4f0cca05371bfa">AttachmentCategoriesSlotsContainer::IsItemWithQuantityActive</a></div><div class="ttdeci">override bool IsItemWithQuantityActive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00132">AttachmentCategoriesSlotsContainer.c:132</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a6f31e6ea3f882700581ba08a3909736c"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a6f31e6ea3f882700581ba08a3909736c">AttachmentCategoriesSlotsContainer::SplitItem</a></div><div class="ttdeci">override bool SplitItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00097">AttachmentCategoriesSlotsContainer.c:97</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a799bf926f209fc3cfebee292d400b844"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a799bf926f209fc3cfebee292d400b844">AttachmentCategoriesSlotsContainer::Combine</a></div><div class="ttdeci">override bool Combine()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00082">AttachmentCategoriesSlotsContainer.c:82</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a80327b05117e130b1e7df3ad5d0ae98e"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a80327b05117e130b1e7df3ad5d0ae98e">AttachmentCategoriesSlotsContainer::SetLayoutName</a></div><div class="ttdeci">override void SetLayoutName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00041">AttachmentCategoriesSlotsContainer.c:41</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a9501506c460f6e4aef0adb952b2dd6af"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a9501506c460f6e4aef0adb952b2dd6af">AttachmentCategoriesSlotsContainer::GetAttachmentCategory</a></div><div class="ttdeci">string GetAttachmentCategory(string config_path_attachment_categories, int i)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00137">AttachmentCategoriesSlotsContainer.c:137</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_a9ccf8475eca9404cba16e607db5c25b9"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#a9ccf8475eca9404cba16e607db5c25b9">AttachmentCategoriesSlotsContainer::AttachmentCategoriesSlotsContainer</a></div><div class="ttdeci">void AttachmentCategoriesSlotsContainer(LayoutHolder parent, int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00005">AttachmentCategoriesSlotsContainer.c:5</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_aa0cf4a5ec43b54931c3f709088a2e646"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#aa0cf4a5ec43b54931c3f709088a2e646">AttachmentCategoriesSlotsContainer::IsItemActive</a></div><div class="ttdeci">override bool IsItemActive()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00127">AttachmentCategoriesSlotsContainer.c:127</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_ab5bbbebe21d8d347309792a766c669c3"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#ab5bbbebe21d8d347309792a766c669c3">AttachmentCategoriesSlotsContainer::GetIconName</a></div><div class="ttdeci">string GetIconName(string config_path_attachment_categories, string attachment_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00144">AttachmentCategoriesSlotsContainer.c:144</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_ac2095a8bbefa2115611fac4db37e4b40"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#ac2095a8bbefa2115611fac4db37e4b40">AttachmentCategoriesSlotsContainer::IsEmpty</a></div><div class="ttdeci">override bool IsEmpty()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00122">AttachmentCategoriesSlotsContainer.c:122</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_ad67b4025e82766e05c7c0b716e827507"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#ad67b4025e82766e05c7c0b716e827507">AttachmentCategoriesSlotsContainer::m_ItemsCont</a></div><div class="ttdeci">ref SlotsContainer m_ItemsCont</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00003">AttachmentCategoriesSlotsContainer.c:3</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_ade7cb701b07b4ec2ce6cc5417a6283da"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#ade7cb701b07b4ec2ce6cc5417a6283da">AttachmentCategoriesSlotsContainer::SelectItem</a></div><div class="ttdeci">override bool SelectItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00072">AttachmentCategoriesSlotsContainer.c:72</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_ae8d2df36368fe206e79f8bf1ed9eba09"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#ae8d2df36368fe206e79f8bf1ed9eba09">AttachmentCategoriesSlotsContainer::ExpandCollapseContainer</a></div><div class="ttdeci">void ExpandCollapseContainer(bool expand)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00066">AttachmentCategoriesSlotsContainer.c:66</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_aea6daae047dece2264744136010b2a8d"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#aea6daae047dece2264744136010b2a8d">AttachmentCategoriesSlotsContainer::TransferItemToVicinity</a></div><div class="ttdeci">override bool TransferItemToVicinity()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00087">AttachmentCategoriesSlotsContainer.c:87</a></div></div>
<div class="ttc" id="aclass_attachment_categories_slots_container_html_af402862d236bb269b905432b38add2b7"><div class="ttname"><a href="../../de/db4/class_attachment_categories_slots_container.html#af402862d236bb269b905432b38add2b7">AttachmentCategoriesSlotsContainer::CanCombine</a></div><div class="ttdeci">override bool CanCombine()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9a/_attachment_categories_slots_container_8c_source.html#l00112">AttachmentCategoriesSlotsContainer.c:112</a></div></div>
<div class="ttc" id="aclass_c_game_html_a03909ec186a2f1d7c5c649a80f4819b6"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a03909ec186a2f1d7c5c649a80f4819b6">CGame::ConfigGetChildName</a></div><div class="ttdeci">proto bool ConfigGetChildName(string path, int index, out string name)</div><div class="ttdoc">Get name of subclass in config class on path.</div></div>
<div class="ttc" id="aclass_c_game_html_a87b6e86f92ca647026095bb221c98650"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a87b6e86f92ca647026095bb221c98650">CGame::ConfigGetText</a></div><div class="ttdeci">proto bool ConfigGetText(string path, out string value)</div><div class="ttdoc">Get string value from config on path.</div></div>
<div class="ttc" id="aclass_container_html"><div class="ttname"><a href="../../d4/d8f/class_container.html">Container</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dec/_cargo_container_8c_source.html#l00002">CargoContainer.c:3</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_item_preview_widget_html_aa00147972c006df13af3293a25c91471"><div class="ttname"><a href="../../d4/d58/class_item_preview_widget.html#aa00147972c006df13af3293a25c91471">ItemPreviewWidget::GetItem</a></div><div class="ttdeci">proto native EntityAI GetItem()</div></div>
<div class="ttc" id="aclass_layout_holder_html"><div class="ttname"><a href="../../d5/d08/class_layout_holder.html">LayoutHolder</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d3c/_container_8c_source.html#l00001">Container.c:2</a></div></div>
<div class="ttc" id="aclass_slots_container_html"><div class="ttname"><a href="../../df/d49/class_slots_container.html">SlotsContainer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de9/_slots_container_8c_source.html#l00001">SlotsContainer.c:2</a></div></div>
<div class="ttc" id="aclass_slots_container_html_a282b8154c39b6ebae2f028537c6a9c7e"><div class="ttname"><a href="../../df/d49/class_slots_container.html#a282b8154c39b6ebae2f028537c6a9c7e">SlotsContainer::GetFocusedSlotsIcon</a></div><div class="ttdeci">override SlotsIcon GetFocusedSlotsIcon()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de9/_slots_container_8c_source.html#l00217">SlotsContainer.c:217</a></div></div>
<div class="ttc" id="aclass_slots_container_html_a484c3b6bed008f6811fd83736e554e99"><div class="ttname"><a href="../../df/d49/class_slots_container.html#a484c3b6bed008f6811fd83736e554e99">SlotsContainer::GetSlotIcon</a></div><div class="ttdeci">SlotsIcon GetSlotIcon(int index)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de9/_slots_container_8c_source.html#l00207">SlotsContainer.c:207</a></div></div>
<div class="ttc" id="aclass_slots_icon_html_a1df109aa2615682ad84c362ec2711836"><div class="ttname"><a href="../../d3/dae/class_slots_icon.html#a1df109aa2615682ad84c362ec2711836">SlotsIcon::GetPanelWidget</a></div><div class="ttdeci">Widget GetPanelWidget()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d53/_slots_icon_8c_source.html#l00205">SlotsIcon.c:205</a></div></div>
<div class="ttc" id="aclass_slots_icon_html_a1ed2cfb63319418ca735922e91cba4a9"><div class="ttname"><a href="../../d3/dae/class_slots_icon.html#a1ed2cfb63319418ca735922e91cba4a9">SlotsIcon::GetRender</a></div><div class="ttdeci">ItemPreviewWidget GetRender()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d53/_slots_icon_8c_source.html#l00230">SlotsIcon.c:230</a></div></div>
<div class="ttc" id="aclass_slots_icon_html_a2a46336b2466cd335a9dcd091f3ed8b6"><div class="ttname"><a href="../../d3/dae/class_slots_icon.html#a2a46336b2466cd335a9dcd091f3ed8b6">SlotsIcon::GetRadialIconClosed</a></div><div class="ttdeci">Widget GetRadialIconClosed()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d53/_slots_icon_8c_source.html#l00300">SlotsIcon.c:300</a></div></div>
<div class="ttc" id="aclass_slots_icon_html_ab56a4d93bdd6dce9e99c7eaf5559b4e1"><div class="ttname"><a href="../../d3/dae/class_slots_icon.html#ab56a4d93bdd6dce9e99c7eaf5559b4e1">SlotsIcon::GetRadialIcon</a></div><div class="ttdeci">Widget GetRadialIcon()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d53/_slots_icon_8c_source.html#l00305">SlotsIcon.c:305</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html">WidgetEventHandler</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00001">WidgetEventHandler.c:2</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_a3709dfa6d47f34e92efcc8057f50e1b3"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#a3709dfa6d47f34e92efcc8057f50e1b3">WidgetEventHandler::RegisterOnMouseLeave</a></div><div class="ttdeci">void RegisterOnMouseLeave(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00126">WidgetEventHandler.c:126</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_a3d40052ebed8531440eebf32a4209bff"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#a3d40052ebed8531440eebf32a4209bff">WidgetEventHandler::RegisterOnDraggingOver</a></div><div class="ttdeci">void RegisterOnDraggingOver(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00112">WidgetEventHandler.c:112</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_ad2fdf38578ef5954a19cb7c97ee4f89b"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#ad2fdf38578ef5954a19cb7c97ee4f89b">WidgetEventHandler::GetInstance</a></div><div class="ttdeci">static WidgetEventHandler GetInstance()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00022">WidgetEventHandler.c:22</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_ada5cbc7221a5b5e5c5e0a6f02d6232ef"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#ada5cbc7221a5b5e5c5e0a6f02d6232ef">WidgetEventHandler::RegisterOnMouseEnter</a></div><div class="ttdeci">void RegisterOnMouseEnter(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00119">WidgetEventHandler.c:119</a></div></div>
<div class="ttc" id="aclass_widget_event_handler_html_ae31e7dd812ec1c98d059dd529d042e3d"><div class="ttname"><a href="../../d1/d46/class_widget_event_handler.html#ae31e7dd812ec1c98d059dd529d042e3d">WidgetEventHandler::RegisterOnMouseButtonDown</a></div><div class="ttdeci">void RegisterOnMouseButtonDown(Widget w, Managed eventHandler, string functionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d84/_widget_event_handler_8c_source.html#l00070">WidgetEventHandler.c:70</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html">WidgetLayoutName</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00001">WidgetLayoutName.c:2</a></div></div>
<div class="ttc" id="aclass_widget_layout_name_html_af2c945eebda1050b002aadc90acddc5e"><div class="ttname"><a href="../../db/d26/class_widget_layout_name.html#af2c945eebda1050b002aadc90acddc5e">WidgetLayoutName::Container</a></div><div class="ttdeci">const string Container</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d1c/_widget_layout_name_8c_source.html#l00047">WidgetLayoutName.c:47</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_192fe6bd0d85bc453ff02fd806ec1ca0.html">InventoryNew</a></li><li class="navelem"><a class="el" href="../../dir_17b62398730a446a9c0884d0c1235fce.html">Inherited</a></li><li class="navelem"><a class="el" href="../../d6/d9a/_attachment_categories_slots_container_8c.html">AttachmentCategoriesSlotsContainer.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
